This GNU Radio component implements a monostatic radar transmitter
and receiver.  It uses a custom FPGA build to generate a linear 
FM chirp waveform directly in the USRP. Echo returns are recorded 
to a file for offline analysis.

The LFM chirp can be up to 32 MHz in width, whose center frequency
is set by which transmit daughter board is installed.  This gives
a range resolution of approximately 5 meters.

The script to run is placed in $prefix/bin:

Usage: usrp_radar_mono.py [options]

Options:
  -h, --help            show this help message and exit
  -T TX_SUBDEV_SPEC, --tx-subdev-spec=TX_SUBDEV_SPEC
                        use transmitter board side A or B (default is first
                        found)
  -R RX_SUBDEV_SPEC, --rx-subdev-spec=RX_SUBDEV_SPEC
                        use receiver board side A or B (default is first
                        found)
  -g GAIN, --gain=GAIN  set gain in dB (default is midpoint)
  -f FREQ, --frequency=FREQ
                        set transmitter center frequency to FREQ in Hz,
                        default is 0.0
  -w FREQ, --chirp-width=FREQ
                        set LFM chirp bandwidth in Hz, default is 32M
  -a AMPLITUDE, --amplitude=AMPLITUDE
                        set waveform amplitude in % full scale, default is 15,
  --ton=TON             set pulse on period in seconds, default is 5e-06,
  --tsw=TSW             set transmitter switching period in seconds, default
                        is 4.0625e-07,
  --tlook=TLOOK         set receiver look time in seconds, default is 5e-06,
  --prf=PRF             set pulse repetition frequency in Hz, default is
                        10000.0,
  -v, --verbose         enable verbose output, default is disabled
  -D, --debug           enable debugging output, default is disabled
  -F FILENAME, --filename=FILENAME
                        log received echos to file

The transmitter creates an LFM chirp, evenly centered on the supplied frequency.
The four timing parameters are:

ton	Chirp on time in seconds.  

tsw     Transmitter switching time in seconds.  This the delay after the chirp
        is transmitted before the receiver is enabled. These two (tsw and ton)
        parameters determine the minimum range of the radar.

tlook   The the amount of time in seconds the receiver is enabled to record
        echo responses ("look" time). This parameter determines the maximum
        radar range that can be measured, though transmitter power will also
        limit return strength and practical range.

prf     Pulse repetition frequency in Hz.  This establishes to overall pulse
        repetition period, which results in idle time between when the receiver
        is turned off and the next transmitted chirp begins.

The transmitter is completed.  The receive path is logging echo data to a supplied
file; however, no meta-data is logged.

This is experimental code.

Johnathan Corgan
Corgan Enterprises LLC
jcorgan@corganenterprises.com
9/17/2007
